### Method

# Gio File load_contents_finish

#### Declaration [src]

    gboolean
    g_file_load_contents_finish (
      GFile* file,
      GAsyncResult* res,
      char** contents,
      gsize* length,
      char** etag_out,
      GError** error
    )

#### Description [src]

Finishes an asynchronous load of the `file`‘s contents. The contents are placed in `contents`, and `length` is set to the size of the `contents` string. The `contents` should be freed with `g_free()` when no longer needed. If `etag_out` is present, it will be set to the new entity tag for the `file`.

#### Parameters

`res`

  Type: `GAsyncResult`

  A `GAsyncResult`.

  The data is owned by the caller of the method.

`contents`

  Type: An array of `guint8`

  A location to place the contents of the file.

  The argument will be set by the function.
  The length of the array is specified in the `length` argument.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

`length`

  Type: `gsize*`

  A location to place the length of the contents of the file, or `NULL` if the length is not needed.

  The argument will be set by the function.
  The argument can be `NULL`.

`etag_out`

  Type: `char**`

  A location to place the current entity tag for the file, or `NULL` if the entity tag is not needed.

  The argument will be set by the function.
  The argument can be set to `NULL` by the method.
  The argument can be `NULL`.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if the load was successful. If `FALSE` and `error` is present, it will be set appropriately.